Skip to Content
Blockhash Docs
API referenceTokens
GET
/v1/tokens/{address}

One token: its price and market figures, its trust marks and verification, how fresh its figures are, and a preview of its top pools.

Path Parameters

address*string

A 20-byte hex address.

Match^0x[0-9a-fA-F]{40}$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tokens/string"
{  "address": "string",  "symbol": "string",  "name": "string",  "decimals": 0,  "isStock": true,  "tier": 0,  "impersonator": true,  "price": 0,  "change24h": 0,  "liquidityUsd": 0,  "depthUsd": 0,  "volume24h": 0,  "trades24h": 0,  "pools24h": 0,  "pools": 0,  "priceConfidence": "string",  "priceDepthUsd": 0,  "firstBlock": 0,  "firstSeen": 0,  "marketCapUsd": 0,  "imageUrl": "string",  "book": {    "factory": "string",    "abiSet": "books",    "label": "string",    "bookId": "string",    "vault": "string",    "phase": "waiting",    "step": "arm",    "flags": {      "pastWindow": true,      "graduatable": true,      "feedStale": true    },    "quote": "string",    "raise": {      "raisedQuote": "string",      "taxBpsNow": 0    },    "unlockAt": 0,    "settledAt": 0,    "backingPerTokenWei": "string",    "displayName": "string",    "nftMarket": {      "nft": "string",      "tokensPerNft": "string"    }  },  "freshness": {},  "changes": {    "m5": 0,    "h1": 0,    "h6": 0,    "h24": 0  },  "poolsList": [    {      "pool": "string",      "venue": "string",      "other": "string",      "otherSymbol": "string",      "cash": "string",      "liquidityUsd": 0,      "depthUsd": 0    }  ],  "poolListTruncated": true,  "poolListLimit": 0,  "chartPool": "string",  "candlePools": 0,  "buyVolume24h": 0,  "holders": 0,  "totalSupply": "string",  "circulatingSupply": 0,  "escrow": {    "address": "string",    "market": "string",    "collection": "string",    "balance": "string",    "tokensPerNft": "string"  },  "dev": {    "address": "string",    "source": "assigned",    "since": 0  },  "agentVaults": {    "swarm": "string",    "balance": "string",    "vaults": [      {        "address": "string",        "balance": "string"      }    ]  },  "fdvUsd": 0,  "source": "indexer",  "servedAgeSec": 0}